## klcddimmer-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( klcddimmer )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                     )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### klcddimmer_panelapplet (shared)

tde_add_library( klcddimmer_panelapplet SHARED AUTOMOC

  SOURCES
        brightnesschooser.ui
        brightnesschooserimpl.cpp
        klcddimmer.cpp
        klcddimmerapplet.cpp
        preferences.kcfg
        preferences.kcfgc
        progpreferences.ui
  LINK
     tdeui-shared
     tdecore-shared
     
  DESTINATION ${LIB_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES ${PROJECT_NAME}.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

## klcddimmer-trinity 14.0.4

=== debian/changelog ===
klcddimmer-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:23:36 +0200

klcddimmer-trinity (0.3-0) unstable; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 21 Aug 2013 21:11:10 +0200

=== debian/control ===
Source: klcddimmer-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: debhelper (>= 7.0.50~), cdbs, automake, libtool, tdelibs14-trinity-dev
Standards-Version: 3.7.3
Homepage: http://klcddimeer.sourceforge.net/

Package: klcddimmer-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: smartdimmer
Description: Applet to adjust LCD brightness for TDE
 KLcdDimmer is applet for simple adjust LCD brightness.
 Notice that this applet relies on an external program to get/set the brightness.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

clean::
	dh_testdir
	rm -f debian/stamp-bootstrap

## klcddimmer-trinity 14.0.5

=== debian/changelog ===
klcddimmer-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:39:08 +0200

## klcddimmer-trinity 14.0.6

=== debian/changelog ===
klcddimmer-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, automake, libtool, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.7.3
 Homepage: http://klcddimeer.sourceforge.net/

## klcddimmer-trinity 14.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( klcddimmer )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.8 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
klcddimmer-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: debhelper (>= 7.0.50~), cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: debhelper (>= 9~), cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.7.3
 Homepage: http://klcddimeer.sourceforge.net/

## klcddimmer-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( klcddimmer )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules
@@ -41,15 +41,15 @@
 
 ##### optional stuff
 
-option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
+option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
 option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
 
 
 ##### user requested modules
 
-option( BUILD_ALL "Build all" ON                     )
-option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
-option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
+option( BUILD_ALL          "Build all" ON )
+option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
+option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )
 
 
 ##### configure checks
@@ -70,7 +70,7 @@
 
 add_subdirectory( src )
 tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

=== doc/CMakeLists.txt ===
INSTALL(

    FILES
        configure.png
        hi48-app-klcddimmer.png
        klcddimmer.html
        klcddimmer-screenshot.png

    DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}
)

add_subdirectory( en )

=== debian/changelog ===
klcddimmer-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 12 Oct 2020 06:01:54 +0200

## klcddimmer-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( klcddimmer )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
klcddimmer-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: klcddimmer-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: debhelper (>= 9~), cdbs, cmake, tdelibs14-trinity-dev
 Standards-Version: 3.7.3
 Homepage: http://klcddimeer.sourceforge.net/

## klcddimmer-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( klcddimmer )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,12 @@
 ##### directories
 
 add_subdirectory( src )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
klcddimmer-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 16:33:00 +0200

## klcddimmer-trinity 14.0.12

=== debian/changelog ===
klcddimmer-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:44 +0100

## klcddimmer-trinity 14.0.13

=== debian/changelog ===
klcddimmer-trinity (4:14.0.13-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Oct 2022 00:21:40 +0200

## klcddimmer-trinity 14.1.0

=== debian/changelog ===
klcddimmer-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 09 Mar 2023 12:14:45 +0100

## klcddimmer-trinity 14.1.1

=== debian/changelog ===
klcddimmer-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 05:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: debhelper (>= 9~), cdbs, cmake, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.7.3
 Homepage: http://klcddimeer.sourceforge.net/

## klcddimmer-trinity 14.1.2

=== debian/changelog ===
klcddimmer-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 26 Mar 2024 23:10:28 +0100

## klcddimmer-trinity 14.1.3

=== debian/changelog ===
klcddimmer-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:23:23 +0200

## klcddimmer-trinity 14.1.4

=== debian/changelog ===
klcddimmer-trinity (4:14.1.4-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.7.3
 Homepage: http://klcddimeer.sourceforge.net/

## klcddimmer-trinity 14.1.5~pre0

=== debian/changelog ===
klcddimmer-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 9b51a614b6312f484d8b2861abd0304275d28bc7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## klcddimmer-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( klcddimmer )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,7 +32,6 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 ##### klcddimmer_panelapplet (shared)
 
-tde_add_library( klcddimmer_panelapplet SHARED AUTOMOC
+tde_add_library( klcddimmer_panelapplet MODULE AUTOMOC
 
   SOURCES
         brightnesschooser.ui

=== doc/html/CMakeLists.txt ===
install(

    FILES
        configure.png
        hi48-app-klcddimmer.png
        klcddimmer.html
        klcddimmer-screenshot.png

    DESTINATION ${HTML_INSTALL_DIR}/en/${PROJECT_NAME}
)

=== debian/changelog ===
klcddimmer-trinity (4:14.1.5-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev
 Standards-Version: 3.7.3
 Homepage: http://klcddimeer.sourceforge.net/

## klcddimmer-trinity 14.1.6~pre0

=== debian/changelog ===
klcddimmer-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9b51a614b6312f484d8b2861abd0304275d28bc7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## klcddimmer-trinity 14.1.6~pre1

=== debian/changelog ===
klcddimmer-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 64ba065e259e0829dd65f92e51f57ac5ceba9068
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:58:51 +0100

## klcddimmer-trinity 14.2.0~pre25

=== debian/changelog ===
klcddimmer-trinity (4:14.2.0~pre25-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 63bd95b2a56fe412cf04c61c7af63b89204486bc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## klcddimmer-trinity 14.2.0~pre26

=== debian/changelog ===
klcddimmer-trinity (4:14.2.0~pre26-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for db1955142a0171df1acf14b02b76266483bd7ab0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#klcddimmer

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:03:44 +0100
